### Signal

# Ide SourceView::sort

#### Declaration

    void
    sort (
      IdeSourceView* self,
      gboolean ignore_case,
      gboolean reverse,
      gpointer user_data
    )

#### Description

This signal is meant to be activated from keybindings to sort the currently selected lines. The lines are sorted using `qsort()` and either `strcmp()` or strcasecmp().

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be emitted directly
Available since: | 3.32

#### Parameters

`ignore_case` | `gboolean`
| If character case should be ignored.
`reverse` | `gboolean`
| If the lines should be sorted in reverse order.